%define major 1
%define libname	%mklibname scanmem %{major}
%define devname %mklibname scanmem -d

Summary:        Memory scanner
Name:           scanmem
Version:        0.17
Release:        %mkrel 5
License:        GPLv3
Group:          Development/Tools
URL:            https://github.com/scanmem/scanmem
Source0:        https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  readline-devel

%description
scanmem is a simple interactive debugging utility, used to locate the address
of a variable in an executing process. This can be used for the analysis or
modification of a hostile process on a compromised machine, reverse
engineering, or as a "pokefinder" to cheat at video games.

%package -n %{libname}
Summary:	memory scanner library
License:	LGPLv3
Group:		System/Libraries
Conflicts:	%{name} < 0.17-3

%description -n %{libname}
scanmem is a simple interactive debugging utility, used to locate the address
of a variable in an executing process. This can be used for the analysis or
modification of a hostile process on a compromised machine, reverse
engineering, or as a "pokefinder" to cheat at video games.

%package -n %{devname}
Summary:        Development files for memory scanner library
License:	LGPLv3
Group:          Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{name} < 0.17-3

%description -n %{devname}
scanmem is a simple interactive debugging utility, used to locate the address
of a variable in an executing process. This can be used for the analysis or
modification of a hostile process on a compromised machine, reverse
engineering, or as a "pokefinder" to cheat at video games.

%package -n gameconqueror
Summary:        CheatEngline-alike interface for scanmem
License:	GPLv3
Group:          Development/Tools
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  appstream-util
BuildRequires:	pkgconfig(python3)
Requires:	%{libname} = %{version}-%{release}
Requires:	python3-gobject3
Requires:	polkit

%description -n gameconqueror
Game Conqueror is a graphical game cheating tool under Linux, a frontend for
scanmem.

%prep
%autosetup

sed -i -e "1s|.*|#!%{__python3}|" gui/GameConqueror.py

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
	--disable-static \
	--enable-gui
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

# handle docs in files section
rm -rf %{buildroot}%{_datadir}/doc/%{name}/

%find_lang GameConqueror

%check
make check
desktop-file-validate %{buildroot}%{_datadir}/applications/GameConqueror.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/GameConqueror.appdata.xml

%files
%doc ChangeLog README TODO
%license COPYING
%{_mandir}/man1/scanmem.1*
%{_bindir}/scanmem

%files -n %{devname}
%{_includedir}/scanmem/
%{_libdir}/libscanmem.so

%files -n %{libname}
%license lgpl-3.0.txt
%{_libdir}/libscanmem.so.%{major}{,.*}

%files -n gameconqueror -f GameConqueror.lang
%license gui/COPYING
%doc gui/README*
%{_datadir}/appdata/GameConqueror.appdata.xml
%{_datadir}/applications/GameConqueror.desktop
%{_mandir}/man1/gameconqueror.1*
%{_datadir}/gameconqueror/
%{_datadir}/icons/hicolor/*/apps/GameConqueror.png
%{_datadir}/polkit-1/actions/*.policy
%{_bindir}/gameconqueror


%changelog
* Wed Feb 19 2020 umeabot <umeabot> 0.17-5.mga8
+ Revision: 1542385
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 0.17-4.mga8
+ Revision: 1476400
- rebuild for readline

* Mon Oct 14 2019 wally <wally> 0.17-3.mga8
+ Revision: 1453216
- libify pkg
- fix gameconqueror reqs
- fix licenses

* Sun Sep 23 2018 umeabot <umeabot> 0.17-2.mga7
+ Revision: 1300935
- Mageia 7 Mass Rebuild

* Tue Oct 24 2017 shlomif <shlomif> 0.17-1.mga7
+ Revision: 1173502
- New version 0.17

* Tue May 10 2016 daviddavid <daviddavid> 0.15.7-1.mga6
+ Revision: 1012323
- new version: 0.15.7

* Sun Mar 20 2016 daviddavid <daviddavid> 0.15.6-1.mga6
+ Revision: 993038
- new version: 0.15.6 (based on fedora)
- requires now polkit and no more beesu
- pass NOCONFIGURE=1 to autogen

* Mon Jan 04 2016 shlomif <shlomif> 0.15.4-1.mga6
+ Revision: 919509
- New version 0.15.4

* Mon Jun 22 2015 shlomif <shlomif> 0.15.2-1.mga6
+ Revision: 839214
- New version 0.15.2

* Wed Oct 15 2014 umeabot <umeabot> 0.13-3.mga5
+ Revision: 750889
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.13-2.mga5
+ Revision: 689046
- Mageia 5 Mass Rebuild

* Sun Dec 01 2013 shlomif <shlomif> 0.13-1.mga4
+ Revision: 554531
- Imported scanmem package from Fedora


* Wed Sep  4 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-7
- Add patch as downstream for fix shell command crash

* Wed Sep  4 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-6
- Update icon fix (in app icons will present)

* Fri Aug 23 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-5
- spec: Fix icons path and add scriptlets for gen icon-cache
- spec: some fixes

* Tue Aug 20 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-4
- Force removing unversioned doc dir

* Tue Aug 20 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-3
- Remove Application category in Desktop-file (deprecated)

* Tue Aug 20 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-2
- spec: some fixes

* Tue Aug 20 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-1
- Update to 0.13
- Add new sub-package gameconqueror (gui interface for scanmem)
- Drop unneeded tags and sections
- Few fixes in spec

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 27 2007 Jakub Hrozek <jhrozek@redhat.com> 0.07-3
- Rebuild for GCC 4.3

* Thu Dec 27 2007 Jakub Hrozek <jhrozek@redhat.com> 0.07-2
- Refactored spec to match Fedora packaging guidelines

* Tue Jun 05 2007 Dag Wieers <dag@wieers.com> - 0.07-1 - 5269+/dag
- Updated to release 0.07.

* Sun Apr 15 2007 Dag Wieers <dag@wieers.com> - 0.06-1
- Updated to release 0.06.

* Sun Mar 04 2007 Dag Wieers <dag@wieers.com> - 0.05-1
- Updated to release 0.05.

* Tue Jan 30 2007 Dag Wieers <dag@wieers.com> - 0.04-1
- Initial package. (using DAR)
